Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 213461 - net-www/mplayerplug-in fails to compile with net-libs/xulrunner-1.9
Summary: net-www/mplayerplug-in fails to compile with net-libs/xulrunner-1.9
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Joe Jezak (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xul-1.9
  Show dependency tree
 
Reported: 2008-03-15 05:10 UTC by Nirbheek Chauhan (RETIRED)
Modified: 2008-08-21 17:04 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build fail log for net-www/mplayerplug-in-3.50 (build.log,24.62 KB, text/plain)
2008-03-15 05:10 UTC, Nirbheek Chauhan (RETIRED)
Details
Patch to configure.in to remove checks for obsolete www-client/mozilla (mplayerplug-in_xulrunner-1.9.patch,1.13 KB, patch)
2008-04-10 19:24 UTC, Nirbheek Chauhan (RETIRED)
Details | Diff
Patch to mplayerplug-in-3.50.ebuild to include the above patch (mplayerplug-in-3.50.ebuild_xulrunner-1.9.patch,340 bytes, patch)
2008-04-10 19:28 UTC, Nirbheek Chauhan (RETIRED)
Details | Diff
build.log for mplayerplug-in-3.45 (build.log,17.00 KB, text/plain)
2008-04-19 10:00 UTC, Albert Zeyer
Details
Gecko tests from mplayerplug-in's configure.in (gecko-tests.txt,1.82 KB, text/plain)
2008-05-25 11:40 UTC, Nirbheek Chauhan (RETIRED)
Details
libxul.pc modification to resolve "xpidl compiler not found" error (libxul.pc.patch,426 bytes, patch)
2008-06-08 10:17 UTC, Balazs Nemeth
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-15 05:10:10 UTC
Compilation error for net-www/mplayerplug-in-3.50 USE="-firefox -seamonkey" which then depends on xulrunner :

i686-pc-linux-gnu-g++ -c -o plugin-setup.o -Wall -DXP_UNIX -DMOZ_X11 -I/usr/include/xulrunner-1.9/stable -I/usr/include/nspr   -I/usr/include/xulrunner-1.9  -march=pentium-m -O2 -pipe -fomit-frame-pointer  -Iinclude -fPIC  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DGTK_ENABLED   -DSTD Source/plugin-setup.cpp
i686-pc-linux-gnu-g++ -c -o plugin-list.o -Wall -DXP_UNIX -DMOZ_X11 -I/usr/include/xulrunner-1.9/stable -I/usr/include/nspr   -I/usr/include/xulrunner-1.9  -march=pentium-m -O2 -pipe -fomit-frame-pointer  -Iinclude -fPIC  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DGTK_ENABLED   Source/plugin-list.cpp
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/nsScriptablePeer.cpp:48:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-setup.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-list.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-support.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin.cpp:37:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/nsScriptablePeer.cpp:48:
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:31: error: expected ‘;’ before ‘virtual’
Source/nsIScriptableMplayerPlugin.h:123: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:126: error: expected ‘;’ before ‘virtual’
In file included from Source/plugin.h:54,
                 from Source/nsScriptablePeer.cpp:48:
Source/nsScriptablePeer.h: In member function ‘virtual nsresult nsClassInfoMixin::GetImplementationLanguage(PRUint32*)’:
Source/nsScriptablePeer.h:64: error: ‘nsIProgrammingLanguage’ has not been declared
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-setup.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:31: error: expected ‘;’ before ‘virtual’
Source/nsIScriptableMplayerPlugin.h:123: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:126: error: expected ‘;’ before ‘virtual’
In file included from Source/plugin.h:54,
                 from Source/plugin-setup.cpp:1:
Source/nsScriptablePeer.h: In member function ‘virtual nsresult nsClassInfoMixin::GetImplementationLanguage(PRUint32*)’:
Source/nsScriptablePeer.h:64: error: ‘nsIProgrammingLanguage’ has not been declared
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-support.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:31: error: expected ‘;’ before ‘virtual’
Source/nsIScriptableMplayerPlugin.h:123: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:126: error: expected ‘;’ before ‘virtual’
In file included from Source/plugin.h:54,
                 from Source/plugin-support.cpp:1:
Source/nsScriptablePeer.h: In member function ‘virtual nsresult nsClassInfoMixin::GetImplementationLanguage(PRUint32*)’:
Source/nsScriptablePeer.h:64: error: ‘nsIProgrammingLanguage’ has not been declared
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin-list.cpp:1:
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:31: error: expected ‘;’ before ‘virtual’
Source/nsIScriptableMplayerPlugin.h:123: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:126: error: expected ‘;’ before ‘virtual’
In file included from Source/plugin.h:54,
                 from Source/plugin-list.cpp:1:
Source/nsScriptablePeer.h: In member function ‘virtual nsresult nsClassInfoMixin::GetImplementationLanguage(PRUint32*)’:
Source/nsScriptablePeer.h:64: error: ‘nsIProgrammingLanguage’ has not been declared
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin.cpp:37:
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:31: error: expected ‘;’ before ‘virtual’
Source/nsIScriptableMplayerPlugin.h:123: error: ISO C++ forbids declaration of ‘NS_DEFINE_STATIC_IID_ACCESSOR’ with no type
Source/nsIScriptableMplayerPlugin.h:126: error: expected ‘;’ before ‘virtual’
In file included from Source/plugin.h:54,
                 from Source/plugin.cpp:37:
Source/nsScriptablePeer.h: In member function ‘virtual nsresult nsClassInfoMixin::GetImplementationLanguage(PRUint32*)’:
Source/nsScriptablePeer.h:64: error: ‘nsIProgrammingLanguage’ has not been declared
Source/nsScriptablePeer.cpp: In member function ‘virtual nsresult nsScriptablePeer::QueryInterface(const nsIID&, void**)’:
Source/nsScriptablePeer.cpp:101: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:101: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:101: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:107: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:107: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:107: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:114: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:114: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:116: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:116: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:116: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:116: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:116: error: declaration of ‘<typeprefixerror>NS_STATIC_CAST’
Source/nsScriptablePeer.cpp:116: error: conflicts with previous declaration ‘<typeprefixerror>NS_STATIC_CAST’
Source/nsScriptablePeer.cpp: In member function ‘virtual nsresult nsControlsScriptablePeer::QueryInterface(const nsIID&, void**)’:
Source/nsScriptablePeer.cpp:514: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:514: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:514: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:520: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:520: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:520: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:527: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:527: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:529: error: expected primary-expression before ‘*’ token
Source/nsScriptablePeer.cpp:529: error: expected primary-expression before ‘,’ token
Source/nsScriptablePeer.cpp:529: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:529: error: ‘NS_STATIC_CAST’ was not declared in this scope
Source/nsScriptablePeer.cpp:529: error: declaration of ‘<typeprefixerror>NS_STATIC_CAST’
Source/nsScriptablePeer.cpp:529: error: conflicts with previous declaration ‘<typeprefixerror>NS_STATIC_CAST’
make: *** [nsScriptablePeer.o] Error 1
make: *** Waiting for unfinished jobs....
make: *** [plugin-setup.o] Error 1
Source/plugin-support.cpp: In function ‘void unEscapeXML(char*)’:
Source/plugin-support.cpp:26: warning: unused variable ‘p’
Source/plugin-support.cpp: In function ‘void killmplayer(nsPluginInstance*)’:
Source/plugin-support.cpp:506: warning: deprecated conversion from string constant to ‘char*’
Source/plugin-support.cpp:507: warning: deprecated conversion from string constant to ‘char*’
Source/plugin-list.cpp: In function ‘void buildPlaylist(nsPluginInstance*, char*, Node*)’:
Source/plugin-list.cpp:309: warning: unused variable ‘entry’
Source/plugin-list.cpp:309: warning: unused variable ‘href’
Source/plugin-list.cpp:309: warning: unused variable ‘repeat’
Source/plugin-list.cpp:316: warning: unused variable ‘entry_counter’
Source/plugin-list.cpp:316: warning: unused variable ‘loopentry’
make: *** [plugin-support.o] Error 1
make: *** [plugin-list.o] Error 1
Source/plugin.cpp: In function ‘NPError NS_PluginInitialize()’:
Source/plugin.cpp:101: warning: dereferencing type-punned pointer will break strict-aliasing rules
Source/plugin.cpp: In member function ‘void nsPluginInstance::shutdown()’:
Source/plugin.cpp:437: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:440: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::Play()’:
Source/plugin.cpp:2241: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::Pause()’:
Source/plugin.cpp:2271: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::Stop()’:
Source/plugin.cpp:2291: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2293: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2303: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::Quit()’:
Source/plugin.cpp:2321: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2322: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::FastForward()’:
Source/plugin.cpp:2348: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2349: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2351: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::FastReverse()’:
Source/plugin.cpp:2375: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2376: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2378: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::Seek(double)’:
Source/plugin.cpp:2391: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp:2395: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::VolumeUp()’:
Source/plugin.cpp:2409: warning: deprecated conversion from string constant to ‘char*’
Source/plugin.cpp: In member function ‘void nsPluginInstance::VolumeDown()’:
Source/plugin.cpp:2423: warning: deprecated conversion from string constant to ‘char*’
make: *** [plugin.o] Error 1
 * 
 * ERROR: net-www/mplayerplug-in-3.50 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2511:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-www/mplayerplug-in-3.50/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-www/mplayerplug-in-3.50/temp/environment'.
 *
Comment 1 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-15 05:10:59 UTC
Created attachment 146185 [details]
build fail log for net-www/mplayerplug-in-3.50
Comment 2 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-03-15 05:12:07 UTC
Ah, forgot to mention that this should either be fixed or made to depend on =net-libs/xulrunner-1.8* or net-libs/xulrunner:1.8
Comment 3 Joe Jezak (RETIRED) gentoo-dev 2008-03-22 16:22:47 UTC
This was already fixed by armin76 (thanks!).
Comment 4 Dennis Schridde 2008-04-10 18:21:45 UTC
I propose reopening of this bug.
I get the exact same errors, because net-www/mplayerplug-in-3.50 compiles with -I/usr/include/xulrunner-1.9

I have following versions installed:
[I] net-libs/xulrunner (1.8.1.13(1.8)@10/04/08 1.9_beta5(1.9)@10/04/08):
[I] net-libs/xulrunner-bin (1.8.1.13@10/04/08):

This may be caused by net-libs/xulrunner-1.8.1.13 installing into /usr/lib64/xulrunner/include instead of /usr/include/xulrunner-1.8 or similar, which would make it a seperate bug.
I assume you can tell me how to proceed (whether this really should be filed as a seperate bug, or instead be fixed in net-www/mplayerplug-in).
Comment 5 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-10 19:23:20 UTC
(In reply to comment #4)
> I propose reopening of this bug.
> I get the exact same errors, because net-www/mplayerplug-in-3.50 compiles with
> -I/usr/include/xulrunner-1.9
> 

The problem was that mplayerplug-in was looking for www-client/mozilla which is no longer in-tree using mozilla-plugin.pc. That file is now provided by net-libs/xulrunner-1.9 (and has a different meaning) which breaks mplayerplug-in with glee.

The attached patch (below) to configure.in fixes this problem by removing the segment which tries to find www-client/mozilla
Comment 6 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-10 19:24:44 UTC
Created attachment 149332 [details, diff]
Patch to configure.in to remove checks for obsolete www-client/mozilla

Patch removes obsolete checks in configure.in that intefere with xulrunner-1.9
Comment 7 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-10 19:28:17 UTC
Created attachment 149334 [details, diff]
Patch to mplayerplug-in-3.50.ebuild to include the above patch

Single-liner patch to mplayerplug-in-3.50.ebuild to apply the above patch.
Comment 8 Albert Zeyer 2008-04-18 21:32:04 UTC
Same problem here with net-www/mplayerplug-in-3.45.

I have installed both xulrunner 1.8 and 1.9:

[I] net-libs/xulrunner
     Available versions:  
	(1.8)	1.8.1.11 1.8.1.13
	(1.9)	{M}(~)1.9_beta5
	{dbus debug elibc_FreeBSD gnome ipv6 java startup-notification xinerama xprint}
     Installed versions:  1.8.1.13(1.8)(16:51:28 04/16/08)(gnome ipv6 java -debug -elibc_FreeBSD -xinerama -xprint)
			  1.9_beta5(1.9)(01:38:25 04/15/08)(dbus gnome ipv6 java -debug -elibc_FreeBSD -startup-notification)

Perhaps mplayerplug-in should use xulrunner 1.8 if it is installed?

I'll try the patch now.
Comment 9 Albert Zeyer 2008-04-18 21:35:35 UTC
The patch does not work for me, I still get:

...
i686-pc-linux-gnu-g++ -c -o npp_gate.o -Wall -DXP_UNIX -DMOZ_X11 -I/usr/include/xulrunner-1.9/stable -I/usr/include/nspr   -I/usr/include/xulrunner-1.9  -O2 -march=nocona -pipe -ggdb  -Iinclude -fPIC  -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/pixman-1   -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DGTK_ENABLED  plugingate/npp_gate.cpp
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/plugin.cpp:37:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
In file included from Source/nsScriptablePeer.h:48,
                 from Source/plugin.h:54,
                 from Source/nsScriptablePeer.cpp:48:
Source/nsIScriptableMplayerPlugin.h:28:60: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
Source/nsIScriptableMplayerPlugin.h:123:64: error: macro "NS_DEFINE_STATIC_IID_ACCESSOR" requires 2 arguments, but only 1 given
include/pluginbase.h:55: warning: 'class nsPluginInstanceBase' has virtual functions but non-virtual destructor
include/pluginbase.h:55: warning: 'class nsPluginInstanceBase' has virtual functions but non-virtual destructor
/usr/include/xulrunner-1.9/stable/nsISupportsBase.h:66: warning: 'class nsISupports' has virtual functions but non-virtual destructor
/usr/include/xulrunner-1.9/stable/nsCycleCollector.h:53: warning: 'struct nsCycleCollectionLanguageRuntime' has virtual functions but non-virtual destructor
/usr/include/xulrunner-1.9/stable/nsCycleCollector.h:74: warning: 'struct nsCycleCollectionJSRuntime' has virtual functions but non-virtual destructor
Source/nsIScriptableMplayerPlugin.h:28: error: ISO C++ forbids declaration of 'NS_DEFINE_STATIC_IID_ACCESSOR' with no type
...
Comment 10 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-19 09:20:51 UTC
(In reply to comment #9)
> The patch does not work for me, I still get:
> 

Are you sure you've added the patch in ${FILESDIR} and applied the second patch to the ebuild? Because I just double-checked, and it works for me.

Alternatively, could you paste the build.log ?
Comment 11 Albert Zeyer 2008-04-19 09:42:53 UTC
OK, the error occurs only for mplayerplug-in 3.45 (whereby the patch applies successfull there).

I have tried also 3.50 now and it compiles fine.

But there was another problem with 3.50, it depends on firefox-2* if I have the firefox USE-flag enabled. It should use the xulrunner USE-flag and if activated depend only on xulrunner. (But there is already another bugreport exactly about this.)

Why does 3.50 work and not 3.45? How exactly does the configure script determit what it links against (mozilla, xulrunner or firefox)?

3.50 is marked ~x86 whereby 3.45 is stable. So either we should fix this problem in 3.45 or perhaps make 3.50 stable?
Comment 12 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-19 09:55:50 UTC
(In reply to comment #11)
> OK, the error occurs only for mplayerplug-in 3.45 (whereby the patch applies
> successfull there).
> 
> I have tried also 3.50 now and it compiles fine.

Great

> 
> But there was another problem with 3.50, it depends on firefox-2* if I have the
> firefox USE-flag enabled. It should use the xulrunner USE-flag and if activated
> depend only on xulrunner. (But there is already another bugreport exactly about
> this.)

Yeah, and there are plans to enable xulrunner by default in the profile instead of firefox.

> 
> Why does 3.50 work and not 3.45? How exactly does the configure script determit
> what it links against (mozilla, xulrunner or firefox)?

This is very strange, the configure scripts for both the versions are completely identical so there should be no problem..

> 
> 3.50 is marked ~x86 whereby 3.45 is stable. So either we should fix this
> problem in 3.45 or perhaps make 3.50 stable?
> 

Comment 13 Albert Zeyer 2008-04-19 10:00:56 UTC
Created attachment 150267 [details]
build.log for mplayerplug-in-3.45

This is the build.log for mplayerplug-in-3.45. Perhaps you can see the error there somewhere...
Comment 14 Albert Zeyer 2008-04-19 10:14:32 UTC
Ah, I just saw, there is a eautoconf missing in 3.45.

I added it and then I get:

macbook mplayerplug-in # emerge =mplayerplug-in-3.45
Calculating dependencies... done!

>>> Emerging (1 of 1) net-www/mplayerplug-in-3.45 to /
 * mplayerplug-in-3.45.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                [ ok ]
>>> Unpacking source...
>>> Unpacking mplayerplug-in-3.45.tar.gz to /var/tmp/portage/net-www/mplayerplug-in-3.45/work
 * Applying mplayerplug-in-3.40-cflags.patch ...                                             [ ok ]
 * Applying mplayerplug-in-gcc4.patch ...                                                    [ ok ]
 * Applying mplayerplug-in_xulrunner-1.9.patch ...                                           [ ok ]
 * Applying mplayerplug-in-3.35-seamonkey.patch ...                                          [ ok ]
 * Running autoconf ...                                                                      [ !! ]

 * Failed Running autoconf !
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/net-www/mplayerplug-in-3.45/temp/autoconf-7608.out

...

***** autoconf *****
***** autoconf

configure.in:28: error: possibly undefined macro: AC_SUBST
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.in:65: error: possibly undefined macro: AC_MSG_WARN
configure.in:84: error: possibly undefined macro: AC_MSG_ERROR
configure.in:120: error: possibly undefined macro: AC_DEFINE
configure.in:173: error: possibly undefined macro: AC_PATH_X
configure.in:174: error: possibly undefined macro: AC_PATH_XTRA
configure.in:175: error: possibly undefined macro: AC_CHECK_HEADER

Comment 15 Albert Zeyer 2008-04-19 10:20:51 UTC
Without the eautoconf, the mplayerplug-in_xulrunner-1.9.patch doesn't make any sense or am I wrong here?
Comment 16 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-04-19 10:28:00 UTC
(In reply to comment #15)
> Without the eautoconf, the mplayerplug-in_xulrunner-1.9.patch doesn't make any
> sense or am I wrong here?
> 

Not just mplayerplug-in_xulrunner-1.9.patch, but also mplayerplug-in-3.50-seamonkey.patch doesn't do anything without an eautoconf

So, yeah, an eautoconf is needed there.
Comment 17 Albert Zeyer 2008-04-19 10:45:13 UTC
But eautoconf doesn't work.

But I have fixed it now much easier:

Add this before econf:

    MOZPLUG_CFLAGS="$(xulrunner-config --cflags)" \
    MOZPLUG_LIBS="$(xulrunner-config --libs)" \

It works then, I have successfully compiled mplayerplug-in-3.45 now.
Comment 18 Albert Zeyer 2008-04-19 10:46:23 UTC
The reason why this works is because xulrunner-config gives out the data for xulrunner 1.8.
Comment 19 Kevin Bowling 2008-05-19 06:07:11 UTC
Any particular reason this patch isn't in the tree?  This is one of the few things that do not work with a xulrunner 1.9 install.
Comment 20 Oliver Schoett 2008-05-23 09:17:53 UTC
Trying to install the (currently masked) mozilla-firefox-3.0_rc1-r1 leads into this problem: mplayerplug-in-3.45 cannot be kept, as it insists on FF2, and mplayerplug-in-3.50 does not compile due to this bug :-(
Comment 21 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-05-24 13:18:29 UTC
(In reply to comment #20)
> Trying to install the (currently masked) mozilla-firefox-3.0_rc1-r1 leads into
> this problem: mplayerplug-in-3.45 cannot be kept, as it insists on FF2, and
> mplayerplug-in-3.50 does not compile due to this bug :-(
> 

A (temporary) solution is to upgrade to the ~arch mplayerplug-in-3.50 with USE="-firefox -seamonkey"

OR

Remove mozilla-firefox-2.0*, install xulrunner-1.8* and then recompile mplayerplug-in-3.45 (so it'll use xulrunner), and then install mozilla-firefox-3.0* (with USE=xulrunner to take advantage of the unified xul-1.9 system)

Also, um, you should really really avoid mixing stable and hard-masked :P
Comment 22 Martin von Gagern 2008-05-25 10:33:57 UTC
See also bug 204953, for which this one here is probably a duplicate.
Especially the patch from bug 204953 comment 8 looks a lot cleaner to me than the one from comment 6 here.
Comment 23 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-05-25 11:39:51 UTC
(In reply to comment #22)
> See also bug 204953, for which this one here is probably a duplicate.
> Especially the patch from bug 204953 comment 8 looks a lot cleaner to me than
> the one from comment 6 here.
> 

If you look at the patch attached on that bug, you'll see that the `xulrunner-plugin.pc` test which replaces the `mozilla-plugin.pc` test, is taken from a line lower below the ones for `{firefox,seamonkey}-plugin.pc`. See the the text file attached below which contains the relevant lines.

Commenting out the `mozilla-plugin.pc` lines is the best solution because the test conflicts with xulrunner-1.9 and the test is useless anyway since mozilla is not in the tree anymore.
Comment 24 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-05-25 11:40:27 UTC
Created attachment 154255 [details]
Gecko tests from mplayerplug-in's configure.in
Comment 25 Joel 2008-06-02 08:05:45 UTC
I'm trying to compile mplayerplug-in against firefox-3-rc1, so I've applied this patch because firefox-3 depends on xulrunner-1.9, but when emerge is doing the configure, it crashes because of this:
configure: Determining mozilla/firefox packages to build against
checking for MOZPLUG... no
configure: WARNING: firefox-plugin not found
checking for MOZPLUG... no
configure: WARNING: seamonkey-plugin not found
checking for MOZPLUG... no
configure: WARNING: xulrunner-plugin not found
checking for MOZPLUG... no
configure: WARNING: iceape-plugin not found
configure: error: Unable to find mozilla or firefox development files

what can I do?
Comment 26 Nirbheek Chauhan (RETIRED) gentoo-dev 2008-06-02 08:21:02 UTC
(In reply to comment #25)
> I'm trying to compile mplayerplug-in against firefox-3-rc1, so I've applied
> this patch because firefox-3 depends on xulrunner-1.9, but when emerge is doing
> the configure, it crashes because of this:
> configure: Determining mozilla/firefox packages to build against
> checking for MOZPLUG... no
> configure: WARNING: firefox-plugin not found
> checking for MOZPLUG... no
> configure: WARNING: seamonkey-plugin not found
> checking for MOZPLUG... no
> configure: WARNING: xulrunner-plugin not found
> checking for MOZPLUG... no
> configure: WARNING: iceape-plugin not found
> configure: error: Unable to find mozilla or firefox development files
> 
> what can I do?
> 

Strange. mplayerplug-in should pull in xulrunner-1.8 which will satisfy configure.in

Are you manually compiling it?

Also, I doubt this is the right place for troubleshooting; come onto #gentoo-desktop and catch me if you need help.
Comment 27 Balazs Nemeth 2008-06-08 10:16:26 UTC
(In reply to comment #26)
> (In reply to comment #25)
> > I'm trying to compile mplayerplug-in against firefox-3-rc1, so I've applied
> > this patch because firefox-3 depends on xulrunner-1.9, but when emerge is doing
> > the configure, it crashes because of this:
> > configure: Determining mozilla/firefox packages to build against
> > checking for MOZPLUG... no
> > configure: WARNING: firefox-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: seamonkey-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: xulrunner-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: iceape-plugin not found
> > configure: error: Unable to find mozilla or firefox development files
> > 
> > what can I do?
> > 
> 
> Strange. mplayerplug-in should pull in xulrunner-1.8 which will satisfy
> configure.in
> 
> Are you manually compiling it?
> 
> Also, I doubt this is the right place for troubleshooting; come onto
> #gentoo-desktop and catch me if you need help.
> 

I have tried gecko-mediaplayer instead of mplayerplug-in. It also doesn't compile with newest xulrunner which is xulrunner-1.9-rc2 at the time. It says:

"configure: error: xpidl compiler not found"

I had to change some lines in libxul.pc to workaround the problem.

I attach the modifications I made in a patch.

emerge --info

Portage 2.1.4.4 (default-linux/x86/2007.0/desktop, gcc-4.1.2, glibc-2.6.1-r0, 2.6.24-gentoo-r8 i686)
=================================================================
System uname: 2.6.24-gentoo-r8 i686 AMD Turion(tm) 64 X2 Mobile Technology TL-52
Timestamp of tree: Sun, 08 Jun 2008 04:48:01 +0000
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r4
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -msse3 -O2 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -msse3 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/home/gentoo/portage/distfiles"
FEATURES="buildpkg ccache distlocks metadata-transfer parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.switch.ch/ftp/mirror/gentoo/ http://gentoo.inf.elte.hu http://gentoo.inode.at  "
LANG="hu_HU.UTF-8"
LC_ALL="hu_HU.UTF-8"
LINGUAS="hu"
MAKEOPTS="-j4"
PKGDIR="/home/gentoo/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/home/gentoo/tmp"
PORTDIR="/home/gentoo/portage"
PORTDIR_OVERLAY="/home/gentoo/overlay /home/gentoo/overlay-compiz"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X acpi alsa bzip2 cairo cdr cli cracklib crypt dbus dri dvd dvdr dvdread emboss evo fam firefox flac ftp gdbm gnome gnome-keyring gstreamer gtk gtk2 hal howl iconv isdnlog jpeg lcms libnotify mad midi mikmod mmx mmxext mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png pppd python qt3support quicktime readline reflection sdl session slang spl sse sse2 ssl svg tcpd tiff truetype udev unicode vorbis win32codecs x86 xinerama xml xorg xv zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_dbd authn_default authn_file authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir env expires ext_filter filter headers ident imagemap include info log_config mem_cache mime mime_magic negotiation rewrite setenvif so speling status userdir usertrack unique_id vhost_alias suexec" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="hu" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 28 Balazs Nemeth 2008-06-08 10:17:46 UTC
Created attachment 155907 [details, diff]
libxul.pc modification to resolve "xpidl compiler not found" error
Comment 29 Raúl Porcel (RETIRED) gentoo-dev 2008-06-12 16:45:50 UTC
Fixed, i'll ask for 3.50 to be stable.
Comment 30 Ben Ridenhour 2008-08-21 17:04:24 UTC
(In reply to comment #26)
> (In reply to comment #25)
> > I'm trying to compile mplayerplug-in against firefox-3-rc1, so I've applied
> > this patch because firefox-3 depends on xulrunner-1.9, but when emerge is doing
> > the configure, it crashes because of this:
> > configure: Determining mozilla/firefox packages to build against
> > checking for MOZPLUG... no
> > configure: WARNING: firefox-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: seamonkey-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: xulrunner-plugin not found
> > checking for MOZPLUG... no
> > configure: WARNING: iceape-plugin not found
> > configure: error: Unable to find mozilla or firefox development files
> > 
> > what can I do?
> > 
> 
> Strange. mplayerplug-in should pull in xulrunner-1.8 which will satisfy
> configure.in
> 
> Are you manually compiling it?
> 
> Also, I doubt this is the right place for troubleshooting; come onto
> #gentoo-desktop and catch me if you need help.
> 

Was there a fix to this problem? I am getting the same errors for MOXPLUG...